Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Interface TaxInformation

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  TaxInformationImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface TaxInformation

extends Belonging

A Tax Information class is used to report the taxes totals for each entity. total is the sum of all children taxlineresult.tax Attribute: total This is the total tax for the order or the line item.

- Containment: By Value
- Multiplicity: 1:1

Attribute: entityTax

- Containment: By Value
- Multiplicity: 0:N
- Interface: java.util.Collection

See Also
  `TaxInformationHome`, `TaxInformationImpl`

Method Summary
`boolean` | `addEntityTax(TaxLineResult element)` Deprecated See BEA Commerce product offering
`boolean` | `addEntityTaxCollection(Collection collection)` Deprecated See BEA Commerce product offering
`void` | `clearEntityTaxCollection()` Deprecated See BEA Commerce product offering
`boolean` | `containsEntityTax(TaxLineResult element)` Deprecated See BEA Commerce product offering
`boolean` | `containsEntityTaxCollection(Collection c)` Deprecated See BEA Commerce product offering
`int` | `entityTaxCollectionHashCode()` Deprecated See BEA Commerce product offering
`Iterator` | `entityTaxCollectionIterator()` Deprecated See BEA Commerce product offering
`int` | `entityTaxCollectionSize()` Deprecated See BEA Commerce product offering
`boolean` | `equalsEntityTaxCollection(Object object)` Deprecated See BEA Commerce product offering
`Collection` | `getEntityTaxCollection()` Deprecated See BEA Commerce product offering
`Price` | `getTotal()` Deprecated See BEA Commerce product offering
`boolean` | `isEntityTaxCollectionEmpty()` Deprecated See BEA Commerce product offering
`boolean` | `removeEntityTax(TaxLineResult element)` Deprecated See BEA Commerce product offering
`boolean` | `removeEntityTaxCollection(Collection collection)` Deprecated See BEA Commerce product offering
`boolean` | `retainEntityTaxCollection(Collection collection)` Deprecated See BEA Commerce product offering
`void` | `setEntityTaxCollection(Collection collection)` Deprecated See BEA Commerce product offering
`void` | `setTotal(Price total)` Deprecated See BEA Commerce product offering

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getTotal

    Price getTotal()

  Deprecated See BEA Commerce product offering

  Get the value of total

  Returns
    total.

### setTotal

    void setTotal(Price total)

  Deprecated See BEA Commerce product offering

  Set the value of total

  Parameters
    `total` - total to be added

### getEntityTaxCollection

    Collection getEntityTaxCollection()

  Deprecated See BEA Commerce product offering

  Returns the entire collection

### setEntityTaxCollection

    void setEntityTaxCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Sets the entire collection

### addEntityTax

    boolean addEntityTax(TaxLineResult element)

  Deprecated See BEA Commerce product offering

  Ensures that this collection contains the specified element (optional operation).

### addEntityTaxCollection

    boolean addEntityTaxCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Adds all of the elements in the specified collection to this collection (optional operation).

### clearEntityTaxCollection

    void clearEntityTaxCollection()

  Deprecated See BEA Commerce product offering

  Removes all of the elements from this collection (optional operation).

### containsEntityTax

    boolean containsEntityTax(TaxLineResult element)

  Deprecated See BEA Commerce product offering

  Returns true if this collection contains the specified element.

### containsEntityTaxCollection

    boolean containsEntityTaxCollection(Collection c)

  Deprecated See BEA Commerce product offering

  Returns true if this collection contains all of the elements in the specified collection.

### equalsEntityTaxCollection

    boolean equalsEntityTaxCollection(Object object)

  Deprecated See BEA Commerce product offering

  Compares the specified object with this collection for equality.

### entityTaxCollectionHashCode

    int entityTaxCollectionHashCode()

  Deprecated See BEA Commerce product offering

  Returns the hash code value for this collection.

### isEntityTaxCollectionEmpty

    boolean isEntityTaxCollectionEmpty()

  Deprecated See BEA Commerce product offering

  Returns true if this collection contains no elements.

### entityTaxCollectionIterator

    Iterator entityTaxCollectionIterator()

  Deprecated See BEA Commerce product offering

  Returns an iterator over the elements in this collection.

### removeEntityTax

    boolean removeEntityTax(TaxLineResult element)

  Deprecated See BEA Commerce product offering

  Removes a single instance of the specified element from this collection, if it is present (optional operation).

### removeEntityTaxCollection

    boolean removeEntityTaxCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Removes all this collection's elements that are also contained in the specified collection (optional operation).

### retainEntityTaxCollection

    boolean retainEntityTaxCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Retains only the elements in this collection that are contained in the specified collection (optional operation).

### entityTaxCollectionSize

    int entityTaxCollectionSize()

  Deprecated See BEA Commerce product offering

  Returns the number of elements in this collection.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved